
Core - Feature # 50131

Feature # 49988 (Resolved): Backport ApplicationContext from Flow

Status: Closed Priority: Should have
Complexity:
Sprint Focus:
Subject: Load context specific configuration files
Description

Extracted from issue #39441

Depending on context load additional configuration, overwriting LocalConfiguration.php settings.

Proposed solution:
Store additional configuration in typo3conf/{ContextName}ContextConfiguration.php. Check whether such a file exists for the current
context, then load the file and overwrite/merge the settings with those from LocalConfiguration.php

Related issues:
related to Core - Feature # 51454: Install tool configuration system Resolved 2013-08-28
related to Core - Task # 49953: Disable DeprecationLog by default Closed 2013-07-11
related to Core - Feature # 39441: Add TYPO3 Context information Closed 2012-08-01

History
#1 - 2013-07-18 08:47 - Mathias Brodala

How are sub-contexts handled in this case? Strictly speaking one would have to create subdirectories if the context is e.g. Production/Server/Main.

#2 - 2013-07-21 20:37 - Ingo Renner

came across some work Benni did: https://github.com/b13/t3ext-environment

#3 - 2013-07-29 21:46 - Philipp Gampe
- Status changed from New to Accepted

IMHO Subcontext should be handled by subdirectories. The file should be called Configuration.php or LocalConfiguration.php, otherwise it gets
confusing.

Please check how Flow does this. We should stay in sync as much as possible.

#4 - 2013-09-01 23:26 - Christian Kuhn

This can probably already achieved with AdditionalConfiguration.php: This way admin has full control about it and we don't need to take care about
things like sub context files or the like.
#5 - 2013-09-14 16:14 - Steffen Müller

I agree with Christan:

    -  A default preset for development and production context can now be set in the install tool.
    -  Customer specific settings can be added to AdditionalConfiguration or even put into specific files using require().

I'd suggest to close this issue.

#6 - 2013-09-14 22:41 - Christian Kuhn
- Status changed from Accepted to Closed
